## org.springframework.mock.web.portlet
Class MockPortletResponse

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletResponse

All Implemented Interfaces:
  javax.portlet.PortletResponse

Direct Known Subclasses:
  MockActionResponse, MockRenderResponse

    public class MockPortletResponse

extends Object
implements javax.portlet.PortletResponse

Mock implementation of the `PortletResponse` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Constructor Summary
`MockPortletResponse()` Create a new MockPortletResponse with a default `MockPortalContext`.
`MockPortletResponse(javax.portlet.PortalContext portalContext)` Create a new MockPortletResponse.

Method Summary
`void` `addProperty(String key, String value)`
`String` `encodeURL(String path)`
`javax.portlet.PortalContext` `getPortalContext()` Return the PortalContext that this MockPortletResponse runs in, defining the supported PortletModes and WindowStates.
`String[]` `getProperties(String key)`
`String` `getProperty(String key)`
`Set` `getPropertyNames()`
`void` `setProperty(String key, String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockPortletResponse

    public MockPortletResponse()

  Create a new MockPortletResponse with a default `MockPortalContext`.

  See Also:
    `MockPortalContext`

### MockPortletResponse

    public MockPortletResponse(javax.portlet.PortalContext portalContext)

  Create a new MockPortletResponse.

  Parameters:
    `portalContext` - the PortalContext defining the supported PortletModes and WindowStates

Method Detail

### getPortalContext

    public javax.portlet.PortalContext getPortalContext()

  Return the PortalContext that this MockPortletResponse runs in, defining the supported PortletModes and WindowStates.

### addProperty

    public void addProperty(String key,
                            String value)

  Specified by:
    `addProperty` in interface `javax.portlet.PortletResponse`

### setProperty

    public void setProperty(String key,
                            String value)

  Specified by:
    `setProperty` in interface `javax.portlet.PortletResponse`

### getPropertyNames

    public Set getPropertyNames()

### getProperty

    public String getProperty(String key)

### getProperties

    public String[] getProperties(String key)

### encodeURL

    public String encodeURL(String path)

  Specified by:
    `encodeURL` in interface `javax.portlet.PortletResponse`

Copyright © 2002-2008 The Spring Framework.